''File: LightShow.spin
''Output (Leds) Blink in a pattern for a light display

Con
  Rate = 5                             'Variable used to change display speed


Var
 long lightStack[10]                                                 'Stack Space for the new cog
 byte lightshowCogId                                                     'Store new cog ID


Pub Start                                                           'Starts the new cog method
  Stop                                                              'Prevents multiple starts of this method
  LightShowcogId := cognew (lightshow, @LightStack)+1                            'Starts and gets a cog ID

  
Pub Stop                                                            'Stops the cog that was started  
   if lightshowCogId > -1
    cogstop (LightShowCogId-1)


PUB lightshow

    dira[0..7]~~

    repeat 10

        outa[0..7] := %10001000
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11001100
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11101110
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11111111
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11101110
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %11001100
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %10001000
        waitcnt(clkfreq/rate + cnt) 
        outa[0..7] := %00000000
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %00011000
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %00111100
        waitcnt(clkfreq/rate + cnt)
        outa[0..7] := %01111110
        waitcnt(clkfreq/rate + cnt)
        outa[0..7 ]:= %00000000  